---
- name: Deploy Velero
  include_tasks: install.yml

- name: Remove Velero
  import_tasks: remove.yml
  tags: [ never, remove ]

- name: Create namespace snapshot
  import_tasks: create_namespace_snapshot.yml
  tags: [ never, create_ns_snapshot ]

- name: Restore namespace snapshot
  import_tasks: restore_namespace_snapshot.yml
  tags: [ never, restore_ns_snapshot ]

- name: Configure namespace backup schedule
  import_tasks: configure-backup.yml
  tags: [ never, configurebackup ]

